# $Revision: 1.19 $, $Date: 2011/05/22 16:39:01 $
Summary:	General-purpose distributed lock manager
Summary(pl.UTF-8):	Zarządca rozproszonych blokad ogólnego przeznaczenia
Name:		dlm
Version:	2.03.10
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
URL:		http://sources.redhat.com/cluster/dlm/
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DLM lock manager is a kernel-based VMS-like distributed lock
manager. It is general purpose and not specific to only GFS or CLVM.
Kernel and userspace locking API's are available.

%description -l pl.UTF-8
Zarządca blokad DLM to oparty na jądrze zarządca rozproszonych blokad
w stylu VMS. Jest ogólnego przeznaczenia, przeznaczonym nie tylko dla
GFS-a czy CLVM-a. Dostępne są API blokowania w jądrze i przestrzeni
użytkownika.

%package devel
Summary:	Header files and development documentation for DLM
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty dla DLM-a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for DLM.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty dla DLM-a.

%package static
Summary:	Static DLM library
Summary(pl.UTF-8):	Statyczna biblioteka DLM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DLM library.

%description static -l pl.UTF-8
Statyczna biblioteka DLM.

%prep
%setup -q -n cluster-%{version}

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--ncursesincdir=%{_includedir}/ncurses \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_gnbd \
	--without_kernel_modules

%{__make} -C %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/cluster

mv $RPM_BUILD_ROOT%{_libdir}/libdlm.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libdlm.so.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libdlm.so

mv $RPM_BUILD_ROOT%{_libdir}/libdlm_lt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libdlm_lt.so.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libdlm_lt.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libdlm.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libdlm.so.2
%attr(755,root,root) /%{_lib}/libdlm_lt.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libdlm_lt.so.2
%attr(755,root,root) %{_sbindir}/dlm_tool
#/etc/udev/rules.d/51-dlm.rules
%{_mandir}/man8/dlm_tool.8*

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_libdir}/libdlm.so
%attr(755,root,root) %{_libdir}/libdlm_lt.so
%{_includedir}/libdlm.h
%{_mandir}/man3/dlm_*.3*
%{_mandir}/man3/libdlm.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdlm.a
%{_libdir}/libdlm_lt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dlm.spec,v $
Revision 1.19  2011/05/22 16:39:01  qboosh
- updated to 2.03.10 (the last 2nd generation cluster release)

Revision 1.18  2007/03/31 23:45:06  arekm
- up to 2.00.00

Revision 1.17  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.15  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.14  2006/05/07 14:19:51  areq
- 1.02.00

Revision 1.13  2005/11/05 23:39:39  arekm
- update to 1.01.00 release

Revision 1.12  2005/06/21 20:50:11  qboosh
- release .3

Revision 1.11  2005/06/21 16:19:32  qboosh
- merged libs move to /%{_lib} from AC-branch
- package missing libdlm_lt .so symlink and static library

Revision 1.10.2.1  2005/06/20 12:09:39  baggins
- release 2
- so libs moved to /lib (lvm2 req)

Revision 1.10  2005/04/14 19:15:32  qboosh
- lib License is LGPL v2+, more verbose files

Revision 1.9  2005/04/14 18:18:04  qboosh
- updated dlm-kernel headers - now builds

Revision 1.8  2005/04/09 12:09:46  paszczus
- updated to 1.0pre21
- removed DESTDIR.patch
- adapratized

Revision 1.7  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.6  2004/07/03 15:57:09  qboosh
- there is no Epoch in this spec

Revision 1.5  2004/07/03 15:56:05  qboosh
- include dlm.h,dlm_device.h (in /usr/include/cluster), don't use kernel-headers
- use optflags, BR: perl-base (configure is writte in perl)

Revision 1.4  2004/06/26 23:31:08  arekm
- fix URL

Revision 1.3  2004/06/25 16:49:12  qboosh
- pl

Revision 1.2  2004/06/25 10:52:08  arekm
- include docs

Revision 1.1  2004/06/25 10:46:38  arekm
- initial pld release
